WLAN_GCMP(4)

NAME
wlan_gcmp - AES-GCMP crypto support for 802.11 devices

SYNOPSIS
device wlan_gcmp

DESCRIPTION
The wlan_gcmp module handles the Galois/Counter Mode Protocol cryptographic requirements of the IEEE 802.11ad and WPA2/WPA3 protocols. It does encapsulation and decapsulation of GCMP-encoded 802.11 frames and optionally calculates the AES-GCMP cipher. The wlan_gcmp module is an 802.11 cryptographic plugin module for use by the wlan(4) module. This module is automatically loaded if an AES-GCMP key is configured; typically by a WPA supplicant program such as wpa_supplicant, or a WPA authenticator program such as hostapd. Should the underlying network device not be capable of doing the AES-GCMP calculations in hardware, the wlan_gcmp module will do the work.

SEE ALSO
wlan(4), wlan_ccmp(4), wlan_tkip(4), wlan_wep(4)

STANDARDS
More information can be found in the IEEE 802.11, and WPA Standards.

HISTORY
The wlan_gcmp driver first appeared in FreeBSD 15.0.